package com.base.api.model;

import com.base.api.model.PointRpcDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class TargetRpcDTO {

    @ApiModelProperty("需求id")
    private String reqId;
    @ApiModelProperty("目标编号")
    private String targetCode;
    @ApiModelProperty("任务开始时间")
    private Date taskStartTime;
    @ApiModelProperty("任务开始时间")
    private Date taskEndTime;
    @ApiModelProperty("目标名称")
    private String targetName;
    @ApiModelProperty("目标点信息")
    private List<PointRpcDTO> pointRpcDTOList;

}