package com.base.biz.model.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("log_record")
@ApiModel("日志信息")
public class LogRecordInfo {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("入库时间")
    private LocalDateTime time;

    @ApiModelProperty("日志信息")
    private String message;

    @ApiModelProperty("类全限定名")
    private String levelString;

    @ApiModelProperty("类型级别")
    private String loggerName;

    @ApiModelProperty("线程名称")
    private String threadName;

    @ApiModelProperty("文件名称")
    private String callerFilename;

    @ApiModelProperty("类全限定名")
    private String callerClass;

    @ApiModelProperty("方法名")
    private String callerMethod;

    @ApiModelProperty("行数")
    private String callerLine;

    @ApiModelProperty("服务名称")
    private String serverName;




}
