package com.base.task.cdlatch.aop.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.base.task.model.Task;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class InstanceAop {

    private String Id;
    @ApiModelProperty("卫星代号")
    private String satelliteCode;
    @ApiModelProperty("卫星质量")
    private String mass;
    @ApiModelProperty("圈号")
    private String orbitNum;
    @ApiModelProperty("历元时刻(北京时间)")
    private String epochTime;
    @ApiModelProperty("轨道半径长 米")
    private String semiMajorAxis;
    @ApiModelProperty("偏心率")
    private String eccentricity;
    @ApiModelProperty("轨道倾角")
    private String inclination;
    @ApiModelProperty("近地点俯角")
    private String argumentOfPerigee;
    @ApiModelProperty("平近点角")
    private String meanAnoMaly;
    @ApiModelProperty("升交点赤经")
    private String raan;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("修改时间")
    private Date updateTime;
    @ApiParam(name = "startTime", value = "开始时间")
    String startTime;
    @ApiParam(name = "endTime", value = "结束时间")
    String endTime;

    List<Task> tasks;
}
