package com.base.plan.model.dto;

import lombok.Data;

import java.util.List;

@Data
public class SinglePlan {

    /**
     * 需求id
     */
    private String reqId;

    /**
     * 覆盖率
     */
    private Double coverage;

    /**
     * 标记删除0保留，1删除
     */
    private Integer isDelete = 0;

    /**
     * 目标条带方案
     */
    private List<OptimizationStripDTO> stripDTOList;

    /**
     * 目标条带方案
     */
    private List<StripDTO> stripDTOLists;
}