package com.base.plan.model.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class StripReqDTO {

    @ApiModelProperty("条带id")
    @JsonIgnore
    private String id;
    @ApiModelProperty("卫星id")
    private String satelliteId;
    @ApiModelProperty("卫星编号")
    private String satelliteCode;
    @ApiModelProperty("圈号")
    private String circle;
    @ApiModelProperty("侧摆角")
    @JsonIgnore
    private String rollAngle;
    @JsonIgnore
    private Date observationStartTime;
    @JsonIgnore
    private Date observationEndTime;
    @ApiModelProperty("覆盖率")
    @TableField(value = "coverage_rate")
    private String coverageRate;


    private List<StripDTO> stripRollAngleDTOS;
}