package com.base.plan.model.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


/**
 * @类名: InfoModelGrid
 * @描述: 网格基本信息
 * @版本: 1.0
 * @创建日期: 2016-4-11下午03:12:06
 * @作者: samirliu
 * @JDK: 1.7
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("grid_info")
public class GridInfo implements Serializable {
	private static final long serialVersionUID = 1L;

	@TableId
	private String id;

	private double cLat;

	private double cLon;

	private String codeLat;

	private String codeLon;

	private String gridName;

	private double latNum;

	private double lbLat;

	private double lbLon;

	private double ltLat;

	private double ltLon;

	private double rbLat;

	private double rbLon;

	private double rtLat;

	private double rtLon;

}