package com.base.api.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import java.util.Date;

@Data
public class SubPointDataRpcDTO {

    private String id;

    private String satelliteId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date date;

    private Double lat;

    private Double lon;

    private Double lrLat;

    private Double lrLon;

    private Double rrLat;

    private Double rrLon;

    private Double lsLat;

    private Double lsLon;

    private Double rsLat;

    private Double rsLon;

    private Double alt;

    private String orbit;

    private String updown;

    private int nearPointNum;

    private double R;

}