package com.base.track.model.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QueryPayloadAddDTO {

    @ApiModelProperty("名称，0光学，1红外，2电子，3雷达，4通信，5导航")
    private String name;

     @ApiModelProperty("类型，0光学，1红外，2电子，3雷达，4通信，5导航")
    private String type;

     @ApiModelProperty("载荷系列")
    private String payloadSeries;

     @ApiModelProperty("分辨率，单位米")
    private Integer groundResolution;

     @ApiModelProperty("载荷幅宽，单位m")
    private Integer swathWidth;

     @ApiModelProperty("幅宽重叠区域，单位km，双载荷有意义")
    private Integer overLap;

     @ApiModelProperty("最小太阳高度角")
    private Integer minSunElevation;

     @ApiModelProperty("最大太阳高度角")
    private Integer maxSunElevation;

     @ApiModelProperty("视场角")
    private Integer fov;

     @ApiModelProperty("模式")
    private String model;

     @ApiModelProperty("载荷状态，0不可用，1可用")
    private Integer payloadStatus;

}
