package com.base.track.model.dto.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
@ApiModel("余量计算请求实体")
public class QueryVisualDTO {

    @ApiParam(name = "id", value = "进出站id")
    private String id;

    @ApiParam(name = "satelliteCode", value = "卫星代号")
    private String satelliteCode;

    @ApiParam(name = "antennaId",value = "天线id")
    private String antennaId;

    @ApiParam(name="antennaVal",value = "天线口径")
    private String antennaVal;

    @ApiParam(name = "frequencyVal",value = "频段")
    private String frequencyVal;

    @ApiParam(name = "stationId",value = "地面站id")
    private String stationId;

}
