package com.base.biz.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PointDTO {

    private String id;

    @ApiModelProperty("方向 1 顺时针 2 逆时针")
    private String sort;
    @ApiModelProperty("当前点编号")
    private String serial;
    @ApiModelProperty("经度")
    private String longitude;
    @ApiModelProperty("纬度")
    private String latitude;

    private String pointType;

    private String parentId;

    private String parentName;


}
