package com.base.biz.model.dto.response;

import com.base.biz.model.KeyValueDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class StationTypeListDTO {

    @ApiModelProperty("中继星能力，0无，1一代，2二代")
    private List<KeyValueDTO<Integer,String>> zjxnl;

    @ApiModelProperty("任务类型，0一体化，1测控，2接收")
    private List<KeyValueDTO<Integer,String>> rwlx;

    @ApiModelProperty("资源类型，0地面站，1中继星")
    private List<KeyValueDTO<Integer,String>> zylx;

    @ApiModelProperty("机动能力，0固定，1机动，2船载，3中继")
    private List<KeyValueDTO<Integer,String>> transportable;

}
