package com.base.biz.model.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName("simulation_task_info")
public class SimulationTaskInfo {

    @TableId("id")
    private String id;

    @ApiModelProperty("仿真任务id")
    private String simulationTaskId;

    @ApiModelProperty("数据分类")
    private String dataClassify;

    @ApiModelProperty("探测任务参数计划代号")
    private String planId;

    @ApiModelProperty("卫星代号")
    private String satelliteCode;

    @ApiModelProperty("仿真任务数量")
    private Integer simulationTaskNum;

}
