package com.plan.api.client;

import com.plan.api.model.StripRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

@FeignClient(name = "orbit-base-plan", contextId = "strip")
public interface StripRpcService {

    /**
     * 根据条带id查询条带
     */
    @PostMapping(value = "/rpc/strip/getStripInfo")
    public List<StripRpcDTO> getStripInfo(List<String> stripIds);

}