package com.base.plan.model.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class AreaOptimizationResultReqDTO {
    @ApiModelProperty("ids")
    private List<String> ids;
    @ApiModelProperty("需求ids")
    private List<String> reqIds;
    @ApiModelProperty("stripIds")
    private List<String> stripIds;

    @ApiModelProperty("区域目标点的parentID")
    private String parentId;

    /**
     * 覆盖率
     */
    private Double coverage;

    @ApiModelProperty("需求有效期开始时间")
    private Date startTime;
    @ApiModelProperty("需求有效期结束时间")
    private Date endTime;
}
