package com.base.plan.mq.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PlanBodyChMqResultDTO {
    @ApiModelProperty("任务id")
    private String taskId;

    @ApiModelProperty("wx代号")
    private String satId;

    @ApiModelProperty("数据分类")
    private String dataClassify;

    @ApiModelProperty("目标代号")
    private String targetId;

    @ApiModelProperty("区域覆盖范围(百分比)")
    private String coverArea;

    @ApiModelProperty("区域覆盖次数")
    private String coverCount;

    @ApiModelProperty("区域覆盖时间")
    private String areaCovTime;

    @ApiModelProperty("星上存储资源利用率")
    private String boStorageResUtilization;

    @ApiModelProperty("数传资源利用率")
    private String digitalResUtilization;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;
}
