package com.base.api.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

@Data
public class TrbutDataRpcDTO {

    private String id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date pitTime;

    private Double startAzimuth;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiveStartTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiveEndTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date exitTime;

    private Double endAzimuth;

    private Double highestElevationAngle;

    private Double highestAzimuth;

    private Integer orbitNum;

    private String satelliteId;

    private String satelliteCode;

    private String stationId;

    private Integer stationType;

    private String stationCode;

    private String stationName;

    private String name;

    private String satelliteName;

    private String occupancyType;   // 0实传，1回放

    private Integer duration;//时长

    private Integer type;  // 1.测控 2.数传

}