package com.base.track.model.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author xj
 * @since 2023-06-20
 */
@Getter
@Setter
@TableName("trbut_hrpre_data")
@ApiModel(value = "天线引导数据", description = "")
public class TrbutHrpreData {

    private String id;

    @ApiModelProperty("进站时间")
    @TableField("pit_time")
    private Date pitTime;

    @ApiModelProperty("进站方位角")
    @TableField("start_azimuth")
    private Double startAzimuth;

    @ApiModelProperty("方位角变化率")
    @TableField("start_azimuth_rate")
    private Double startAzimuthRate;

    @ApiModelProperty("俯仰角")
    @TableField("pitch_angle")
    private Double pitchAngle;

    @ApiModelProperty("俯仰角变化率")
    @TableField("pitch_angle_rate")
    private Double pitchAngleRate;

    @ApiModelProperty("测站斜距")
    private Double stationSlopeDistance;

    @ApiModelProperty("测站斜距变化率")
    private Double stationSlopeDistanceRate;

    @ApiModelProperty("卫星id")
    private String satelliteId;

    @ApiModelProperty("地面站id")
    private String stationId;

    @ApiModelProperty("0，地面站，1，中继卫星")
    private Integer stationType;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("地面站编号")
    private String stationCode;

    @ApiModelProperty("地面站名称")
    private String stationName;

    @ApiModelProperty("卫星名称")
    private String satelliteName;

    @ApiModelProperty("卫星编号")
    private String satelliteCode;


}
